Skip to main content
Resource Center/CloudFormation Operations
GETCloudFormation OperationsSince 2.5.0SynchronousAuth Required

GetResourceFromResourceStack

GetResourceFromResourceStack

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • uuidStringRequired

    The stack UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • resourcesListRequired

    The resource list in the stack.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/cloudformation/stack/resources

/zstack/v1/cloudformation/stack/resources

Operation ID

GetResourceFromResourceStack

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/cloudformation/stack/resources?uuid=<uuid>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "resources": [ { "VmInstance": { "uuid": "70b885e0948b34a5831c75a457322b47", "name": "Test-VM", "description": "web server VM", "zoneUuid": "d35a2b4b992c3293ac1bc10096de6cb2", "clusterUuid": "8179e9b50398308aa0e2bf4eaf6f9712", "imageUuid": "b3aedde2f9ba32e7a4442a48860180c3", "hostUuid": "f2d9365120cf36ef961e8b522e0c319d", "lastHostUuid": "93b923aa43433196895dada30f9dc458", "instanceOfferingUuid": "61c0ba5753753a39b6c792ae6ef94915", "rootVolumeUuid": "7d45c0a312ce37ffacc75005da14dcae", "platform": "Linux", "defaultL3NetworkUuid": "e8604346d3d63ed790f0ba8d443af3d9", "type": "UserVm", "hypervisorType": "KVM", "memorySize": 8.589934592E9, "cpuNum": 1.0, "allocatorStrategy": "LastHostPreferredAllocatorStrategy", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "state": "Running", "vmNics": [ { "uuid": "db23a9ba4d05362da2a58c51a9e50f65", "vmInstanceUuid": "70b885e0948b34a5831c75a457322b47", "usedIpUuid": "bf43c6c9ab453ed2be711573a1b959a0", "l3NetworkUuid": "e8604346d3d63ed790f0ba8d443af3d9", "ip": "192.168.1.10", "mac": "00:0c:29:bd:99:fc", "hypervisorType": "KVM", "netmask": "255.255.255.0", "gateway": "192.168.1.1", "deviceId": 0.0, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "allVolumes": [ { "uuid": "7d45c0a312ce37ffacc75005da14dcae", "name": "Root-Volume-For-VM-70b885e0948b34a5831c75a457322b47", "primaryStorageUuid": "657bf5b4fe7c31ae9a50dd703dbbf958", "vmInstanceUuid": "70b885e0948b34a5831c75a457322b47", "diskOfferingUuid": "1c10223d580b3b889d1e06e6ad94f398", "rootImageUuid": "b3aedde2f9ba32e7a4442a48860180c3", "installPath": "/Cloud_ps/rootVolumes/acct-36c27e8ff05c4780bf6d2fa65700f22e/vol-7d45c0a312ce37ffacc75005da14dcae/7d45c0a312ce37ffacc75005da14dcae.qcow2", "type": "Root", "format": "qcow2", "size": 1.073741824E11, "actualSize": 2.147483648E10, "deviceId": 0.0, "state": "Enabled", "status": "Ready", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] } } ] }

Change History

This API has no change history records yet.

View all change history